> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Installed Plugins Endpoint

> List all installed plugins (enabled and disabled).



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/plugins/installed
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/plugins/installed:
    get:
      tags:
        - Plugins
      summary: List Installed Plugins Endpoint
      description: List all installed plugins (enabled and disabled).
      operationId: list_installed_plugins_endpoint_api_plugins_installed_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstalledPluginsListResponse'
          description: Successful Response
      security:
        - APIKeyHeader: []
components:
  schemas:
    InstalledPluginsListResponse:
      description: Response containing the list of installed plugins.
      properties:
        plugins:
          items:
            $ref: '#/components/schemas/InstalledPluginResponse'
          title: Plugins
          type: array
      required:
        - plugins
      title: InstalledPluginsListResponse
      type: object
    InstalledPluginResponse:
      description: Response containing installed plugin information.
      properties:
        description:
          default: ''
          description: Plugin description
          title: Description
          type: string
        enabled:
          default: true
          description: Whether the plugin is enabled
          title: Enabled
          type: boolean
        files:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: Plugin files, relative to install_path (None if load failed)
          title: Files
        install_path:
          description: Path where the plugin is installed
          title: Install Path
          type: string
        installed_at:
          description: ISO 8601 timestamp of installation
          title: Installed At
          type: string
        name:
          description: Plugin name
          title: Name
          type: string
        repo_path:
          anyOf:
            - type: string
            - type: 'null'
          description: Subdirectory path within the repository
          title: Repo Path
        resolved_ref:
          anyOf:
            - type: string
            - type: 'null'
          description: Resolved git commit SHA
          title: Resolved Ref
        skills:
          anyOf:
            - items:
                $ref: '#/components/schemas/PluginSkillSummary'
              type: array
            - type: 'null'
          description: Skills bundled in the plugin (None if it failed to load)
          title: Skills
        source:
          description: Original source (e.g., 'github:owner/repo')
          title: Source
          type: string
        version:
          default: ''
          description: Plugin version
          title: Version
          type: string
      required:
        - name
        - source
        - installed_at
        - install_path
      title: InstalledPluginResponse
      type: object
    PluginSkillSummary:
      description: Summary of a skill bundled in a plugin.
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        name:
          title: Name
          type: string
      required:
        - name
      title: PluginSkillSummary
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.